#-*- coding: utf-8 -*-

require 'shellwords'

module NosOignons
  module Mailman
    class << self
      def list_members(list)
        `sudo -u list list_members #{Shellwords.escape(list)}`.strip.split
      end

      def add_member(list, email)
        add_members(list, [email])
      end

      def add_members(list, emails)
        IO.popen(['sudo', '-u', 'list', 'add_members', '-r', '-', list], 'w') do |io|
          emails.each do |email|
            io.puts email
          end
        end
      end

      def remove_member(list, email)
        remove_members(list, [email])
      end

      def remove_members(list, emails)
        IO.popen(['sudo', '-u', 'list', 'remove_members', '-f', '-', list], 'w') do |io|
          emails.each do |email|
            io.puts email
          end
        end
      end
    end
  end
end
